Skip to main content
GET
List payments

Authorizations

Authorization
string
header
required

An API key created in Settings, sent as Authorization: Bearer <key>.

Query Parameters

customerId
string<uuid>

Only payments attributed to this customer.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
hasCustomer
boolean

true for payments attributed to a customer, false for payments not yet attributed.

hasUnappliedAmount
boolean

true for payments with an amount, of their own or their bank fee's, not yet applied to an invoice.

orderBy
string

Fields to order by, each written field:ASC or field:DESC and separated by commas, applied in the order written — for example customerName:ASC,amountCents:DESC. Order by up to 3 of receivedDate, customerName, amountCents, bankFeeAmountCents, appliedAmountCents, unappliedAmountCents. Omit it for newest received first.

startingAfter
string

The nextCursor of the previous page, to read the page after it.

Required string length: 1 - 1024
Pattern: ^[A-Za-z0-9._-]+$
endingBefore
string

The prevCursor of the previous page, to read the page before it.

Required string length: 1 - 1024
Pattern: ^[A-Za-z0-9._-]+$
limit
integer
default:50

Rows per page, 1 to 100.

Required range: 1 <= x <= 100

Response

Successful response

data
object[]
required
hasMore
boolean
required
nextCursor
string
prevCursor
string